Package be.fgov.ehealth.dics.protocol.v4

# Class ListConsultationRequestType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
be.fgov.ehealth.dics.protocol.v4.ListConsultationRequestType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GetListOfActualMedicinalProductPackagesRequest`, `GetListOfActualMedicinalProductsRequest`, `GetListOfVirtualMedicinalProductsRequest`, `GetListOfVmpGroupsRequest`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ListConsultationRequestType extends PaginationRequestType implements Serializable

Java class for ListConsultationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ListConsultationRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
           <attribute name="Delta" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListConsultationRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getDelta()`
  If attribute is not null, only those elements changed after the given date are returned by the service.
  `void`
  `setDelta(Instant value)`
  Sets the value of the delta property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType

  `getMaxElements, getOffset, setMaxElements, setOffset`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListConsultationRequestType

    public ListConsultationRequestType()

- ## Method Details

  - ### getDelta

    public Instant getDelta()
    If attribute is not null, only those elements changed after the given date are returned by the service.
    Returns:
      possible object is `String`

  - ### setDelta

    public void setDelta(Instant value)
    Sets the value of the delta property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDelta()`